<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/page-7.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>project description</title>
</head>
<body>
 <div class="container">
       
        <nav class="nav-bar">
            <div class="heading">
                <h1>Project Directory</h1>
            </div>
        </nav>
        
    <div class="wrapper"> 
        <div hidden class="project-list">
            <select class="project-list-item" placeholder="PlatForm">
                <option value="sort by Programming">sort by Programming</option>
                <option value="Website">Website</option>
                <option value="Playstore">Playstore</option>
                <option value="App Store">App Store</option>
                <option value="Other">Other</option>
            </select>
            
            <div class="search-button">
                <input class="insert-icon" type="search" placeholder="Search......." >
                <i class="fa fa-search"></i>
            </div> 
        </div>
        
    <div  class="main-container" >   
        <div  hidden class="container-section-1">
            <div class="item-list">
                <h5>CATEGORIES</h5>
                <ul type="none">
                    <li> <a href="#">ALL</a></li>
                    <li> <a href="#">PROGRAMMING</a></li>
                    <li> <a href="#">DESIGN</a></li>
                    <li> <a href="#">ANIMATION</a></li>
                    <li> <a href="#">NETWOKING</a></li>
                </ul>
            </div>

            <section class="section">
                <div class="section-project">
                    <h3>LATEST PROJECT</h3>
                </div>
                <div class="Latest-Project">
                    <ul type="none">
                        <li><a href="#">Rejolut:Emerging Tech Company</a></li>
                        <li><a href="#">Rejolut:Emerging Tech Company</a></li>
                        <li><a href="#">Rejolut:Emerging Tech Company</a></li>
                    </ul>  
                </div>
            </section>
        </div>
   
        <div class="container-section-2">
            <div class="icon-section">
                <div class="arrow-icon">
                    <a href="index.html"><i class="fa fa-long-arrow-left" aria-hidden="true"></i></a>
                </div>
                <div class="link">
                    <h5>Project Link</h5>
                    <ul type="none">
                        <li><a href="#"><img src="./img/globe-solid.svg" width="10px"></a></li>
                        <li><a href="#"><img src="./img/playstore.png" width="10px"></a> </li>
                        <li><a href="#"><i class="fa fa-apple"></i></a></li>
                    </ul>
                </div> 
            </div>
            <div class="img-section">
                <div class="img-logo">
                    <img src="./img/adobe-xd-thumb.png">
                    <p id="days"></p>
                </div>
                
                <div  class="img-heading">
                    <h3  id="title">Rejolut:Trusted Blackchain Devlopment Company</h3>
                </div>
                <div>
                    <div class="description">
                        <h2>DESCRIPTION</h2>
                            <p id="desc">  
                            
                            </p>
                        </div>      
                    </div>
                </div>
            </div>
        </div>
<script>
        const urlParams = new URLSearchParams(window.location.search);
        const projectId = urlParams.get('id');

        function dateToHowManyAgo(milliseconds){
            var currDate = new Date();
            var diffMs = currDate.getTime() - new Date(milliseconds).getTime();
            var sec=diffMs/1000;
            if(sec<60)
                return parseInt(sec)+' second'+(parseInt(sec)>1?'s':'')+' ago';
            var min=sec/60;
            if(min<60)
                return parseInt(min)+' minute'+(parseInt(min)>1?'s':'')+' ago';
            var h=min/60;
            if(h<24)
                return parseInt(h)+' hour'+(parseInt(h)>1?'s':'')+' ago';
            var d=h/24;
            if(d<30)
                return parseInt(d)+' day'+(parseInt(d)>1?'s':'')+' ago';
            var m=d/30;
            if(m<12)
                return parseInt(m)+' month'+(parseInt(m)>1?'s':'')+' ago';
            var y=m/12;
            return parseInt(y)+' year'+(parseInt(y)>1?'s':'')+' ago';   
        }
       


        function displayAllData(){
        //     console.log('frfrfefrrrfrfrfrf:::::::::::', projectId)
        //     var today = new Date();
        // var dd = String(today.getDate()).padStart(2, '0');
        // var mm = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
        // var yyyy = today.getFullYear();

        //today = mm + '/' + dd + '/' + yyyy;
            const title =  document.getElementById('title').value;
            const desc =  document.getElementById('desc').value;
            const date =  document.getElementById('days').value;
            
             const projectData = {
                    projectId,
                    query:{
                    title:title,
                    desc:desc,
                    date:date    
                    }
                }
        

                axios.get(`http://15.206.64.54:4000/projects?projectId=${projectId}`)
                .then(function (response) {
                    projects=response.data.body
                    // createGrids(projects);
                    //..............
                    console.log("aaaaaaaaaaaaaa..........",projects);
                     
                   // console.log("dfghjk....",projects[0].desc)
                     document.getElementById('title').innerHTML = projects[0].title; 
                     document.getElementById('desc').innerHTML = projects[0].desc;  
                    document.getElementById('days').innerHTML = projects[0].date;
                    
                })
                .catch(function (error) {
                });
         }

         displayAllData();
        


</script>


</div>
</body>